summaryrefslogtreecommitdiff
path: root/tests/cert-tests/pem-decoding
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/pem-decoding')
-rwxr-xr-xtests/cert-tests/pem-decoding5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/cert-tests/pem-decoding b/tests/cert-tests/pem-decoding
index 2977888aba..b4c2a44120 100755
--- a/tests/cert-tests/pem-decoding
+++ b/tests/cert-tests/pem-decoding
@@ -25,6 +25,11 @@
srcdir="${srcdir:-.}"
CERTTOOL="${CERTTOOL:-../../src/certtool${EXEEXT}}"
DIFF="${DIFF:-diff -b -B}"
+
+if ! test -x "${CERTTOOL}"; then
+ exit 77
+fi
+
if ! test -z "${VALGRIND}"; then
VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND}"
fi